clang 10.0.0git

Namespaces | Macros | Enumerations
DiagnosticFrontend.h File Reference
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/DiagnosticFrontendKinds.inc"`
Include dependency graph for DiagnosticFrontend.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::diag

## Macros
#define | DIAG(ENUM, FLAGS, DEFAULT_MAPPING, DESC, GROUP, SFINAE, NOWERROR, SHOWINSYSHEADER, CATEGORY) ENUM,
#define | FRONTENDSTART

## Enumerations
enum | { clang::diag::NUM_BUILTIN_FRONTEND_DIAGNOSTICS }

## Macro Definition Documentation

## ◆ DIAG

#define DIAG | ( |  | ENUM,
|  |  | FLAGS,
|  |  | DEFAULT_MAPPING,
|  |  | DESC,
|  |  | GROUP,
|  |  | SFINAE,
|  |  | NOWERROR,
|  |  | SHOWINSYSHEADER,
|  |  | CATEGORY
| ) |  | ENUM,

Definition at line 17 of file DiagnosticFrontend.h.

## ◆ FRONTENDSTART

#define FRONTENDSTART

Definition at line 20 of file DiagnosticFrontend.h.